Subject: bug#23420: 25.0.93; Please add French oe and OE to C-x 8 map

From: Stefan Kangas <[email-masked]>
Date: Sun, 15 Sep 2019 03:39:53 +0200

Robert Pluim <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Robert Pluim <[email-masked]>
>>> Date: Mon, 02 May 2016 16:26:00 +0200
>>>
>>> Currently:
>>> C-x 8 o => °
>>>
>>> so at least the first mapping is not possible. There is the
>>> alternative
>>>
>>> C-x 8 *o => °
>>>
>>> though, so perhaps we should remove the first one.
>>
>> Sorry, no: the "C-x 8 o" binding is very old, since Emacs 21 at least,
>> so removing it now runs the risk of breaking someone's muscle memory.
>
> Indeed, I went back and stopped when I'd gone 17 years...
>
> (I've forgotten what the magic header is for "it's a small change, no
> paperwork required, I don't have commit rights")
>
> 2016-05-02  Robert Pluim  <[email-masked]>
>
>     * lisp/international/iso-transl.el (iso-transl-char-map): Add
>     bindings for small and capital ligature oe.
>
> diff --git a/lisp/international/iso-transl.el b/lisp/international/iso-transl.el
> index 1436cf8..c150842 100644
> --- a/lisp/international/iso-transl.el
> +++ b/lisp/international/iso-transl.el
> @@ -177,6 +177,8 @@ iso-transl-char-map
>      ("c"    . [?¢])
>      ("*o"   . [?°])
>      ("o"    . [?°])
> +    ("Oe"   . [?œ])
> +    ("OE"   . [?Œ])
>      ("*u"   . [?µ])
>      ("u"    . [?µ])
>      ("*m"   . [?µ])

This is a good addition, but it was never committed at the time.
Perhaps we could revisit it and consider installing it on the master
branch?

Best regards,
Stefan Kangas